import request from '@/utils/request'

// 查询策略管理列表
export function listStrategy(query) {
  return request({
    url: '/gateway/strategy/list',
    method: 'get',
    params: query
  })
}

// 查询策略管理详细
export function getStrategy(id) {
  return request({
    url: '/gateway/strategy/' + id,
    method: 'get'
  })
}

// 新增策略管理
export function addStrategy(data) {
  return request({
    url: '/gateway/strategy',
    method: 'post',
    data: data
  })
}

// 修改策略管理
export function updateStrategy(data) {
  return request({
    url: '/gateway/strategy',
    method: 'put',
    data: data
  })
}

// 删除策略管理
export function delStrategy(id) {
  return request({
    url: '/gateway/strategy/' + id,
    method: 'delete'
  })
}

// 禁用/启用策略管理
export function changeStrategyStatus(data) {
  return request({
    url: '/gateway/strategy/status',
    method: 'put',
    data: data
  })
}